Adding DMaaP DR self release jobs
[ci-management.git] / jjb / oom / oom-helm.yaml
index 5a7d377..c276629 100644 (file)
         #!/bin/bash
         set -e -o pipefail
         cd kubernetes/
-        if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
-          echo "[ERROR] Only release images are allowed in helm charts."
-          exit 1
+        if [ "$GERRIT_BRANCH" != "staging" ]; then
+          if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+            echo "[ERROR] Only release images are allowed in helm charts."
+            exit 1
+          fi
         fi
         make all
     subproject_build_script: |
         #!/bin/bash
         cd kubernetes/
-        if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
-          echo "[ERROR] Only release images are allowed in helm charts."
-          exit 1
+        if [ "$GERRIT_BRANCH" != "staging" ]; then
+          if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+            echo "[ERROR] Only release images are allowed in helm charts."
+            exit 1
+          fi
         fi
         make common
         make {subproject}
@@ -31,6 +35,8 @@
     stream:
       - 'master':
           branch: 'master'
+      - 'dublin':
+          branch: 'dublin'
       - 'casablanca':
           branch: 'casablanca'